### Method

# GLib Node n_nodes

#### Declaration

    guint
    g_node_n_nodes (
      GNode* root,
      GTraverseFlags flags
    )

#### Description

Gets the number of nodes in a tree.

#### Parameters

`flags`

  Type: `GTraverseFlags`

  Which types of children are to be counted, one of `G_TRAVERSE_ALL`, `G_TRAVERSE_LEAVES` and `G_TRAVERSE_NON_LEAVES`.

#### Return value

Type: `guint`

The number of nodes in the tree.